NumberFormat.Field
Date: 2016-06-24

java.text

## Class NumberFormat.Field

- java.lang.Object
- - java.text.AttributedCharacterIterator.Attribute
  - - java.text.Format.Field
    - - java.text.NumberFormat.Field

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    NumberFormat

      public static class NumberFormat.Field
      extends Format.Field

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NumberFormat.Field` | `CURRENCY`
    `static NumberFormat.Field` | `DECIMAL_SEPARATOR`
    `static NumberFormat.Field` | `EXPONENT`
    `static NumberFormat.Field` | `EXPONENT_SIGN`
    `static NumberFormat.Field` | `EXPONENT_SYMBOL`
    `static NumberFormat.Field` | `FRACTION`
    `static NumberFormat.Field` | `GROUPING_SEPARATOR`
    `static NumberFormat.Field` | `INTEGER`
    `static NumberFormat.Field` | `PERCENT`
    `static NumberFormat.Field` | `PERMILLE`
    `static NumberFormat.Field` | `SIGN`

    - ### Fields inherited from class java.text.AttributedCharacterIterator.Attribute

      `INPUT_METHOD_SEGMENT, LANGUAGE, READING`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NumberFormat.Field(String var0)`

  - ### Method Summary

    - ### Methods inherited from class java.text.AttributedCharacterIterator.Attribute

      `equals, getName, hashCode, readResolve`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CURRENCY

          public static final NumberFormat.Field CURRENCY

    - #### DECIMAL_SEPARATOR

          public static final NumberFormat.Field DECIMAL_SEPARATOR

    - #### EXPONENT

          public static final NumberFormat.Field EXPONENT

    - #### EXPONENT_SIGN

          public static final NumberFormat.Field EXPONENT_SIGN

    - #### EXPONENT_SYMBOL

          public static final NumberFormat.Field EXPONENT_SYMBOL

    - #### FRACTION

          public static final NumberFormat.Field FRACTION

    - #### GROUPING_SEPARATOR

          public static final NumberFormat.Field GROUPING_SEPARATOR

    - #### INTEGER

          public static final NumberFormat.Field INTEGER

    - #### PERCENT

          public static final NumberFormat.Field PERCENT

    - #### PERMILLE

          public static final NumberFormat.Field PERMILLE

    - #### SIGN

          public static final NumberFormat.Field SIGN

  - ### Constructor Detail

    - #### NumberFormat.Field

          protected NumberFormat.Field(String var0)